# Interface CredentialPlugin

All Superinterfaces:
  `Supplier<Credential>`

All Known Implementing Classes:
  `AwsIamCredentialPlugin, EnvCredentialPlugin, PropertiesCredentialPlugin`

public interface CredentialPlugin extends Supplier<Credential>

## Method Summary

Modifier and Type
Method
Description
`default String`
`defaultAuthenticationPluginType()`
`default CredentialPlugin`
`initialize(Options options, String userName, HostAddress hostAddress)`
`default boolean`
`mustUseSsl()`
`String`
`name()`
`String`
`type()`

### Methods inherited from interface Supplier

`get`

## Method Details

### name

String name()

### type

String type()

### mustUseSsl

default boolean mustUseSsl()

### defaultAuthenticationPluginType

default String defaultAuthenticationPluginType()

### initialize

default CredentialPlugin initialize(Options options, String userName, HostAddress hostAddress) throws SQLException

Throws:
  `SQLException`